No toolchains found in the NDK toolchains folder for ABI with prefix


I want to create Flowing Drawer for that i Downloaded Application code from GitHub, but while running/executing code i am facing below error

No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android

Please see below code from build.gradle (App & Module level)

Module Level build.gradle

buildscript {
repositories {
    jcenter()
    maven {
        url 'https://maven.google.com/'
        name 'Google'
    }
}
dependencies {
    classpath 'com.android.tools.build:gradle:2.2.0'
    classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.2'
    classpath 'com.github.dcendents:android-maven-gradle-plugin:1.5'


    // NOTE: Do not place your application dependencies here; they belong
    // in the individual module build.gradle files
}
}

allprojects {
repositories {
    jcenter()
    maven {
        url 'https://maven.google.com/'
        name 'Google'
    }
}
}

App Level build.gradle

apply plugin: 'com.android.application'

android {
compileSdkVersion 28
buildToolsVersion '28.0.3'

defaultConfig {
    applicationId "com.mxn.soul.flowingdrawer"
    minSdkVersion 14
    targetSdkVersion 28
    versionCode 120
    versionName "1.2.0"
}
buildTypes {
    release {
        minifyEnabled false
        proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
    }
}
}

dependencies {
implementation fileTree(dir: 'libs', include: ['*.jar'])
implementation 'com.android.support:appcompat-v7:28.0.0'
implementation 'com.android.support:recyclerview-v7:28.0.0'
implementation 'com.android.support:design:28.0.0'
implementation 'com.squareup.picasso:picasso:2.5.0'
implementation 'com.android.support:cardview-v7:28.0.0'
implementation 'com.nineoldandroids:library:2.4.0'
implementation project(':flowingdrawer-core')
}

I want to create Flowing Drawer like this enter image description here

- - Source

Answers

answered 1 week ago VikaS #1

Replace

classpath 'com.android.tools.build:gradle:2.2.0'

with

classpath 'com.android.tools.build:gradle:3.2.0'

In Module Level build.gradle file.

In short The solution is upgrad your griddle to 3.1 or higher level to fix No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android issue.

comments powered by Disqus